charprop.c File Reference

## Functions

void | linebreak_charprop (linebreak_t *obj, unichar_t c, propval_t *lbcptr, propval_t *eawptr, propval_t *gcbptr, propval_t *scrptr)
propval_t | linebreak_search_lbclass (linebreak_t *obj, unichar_t c)
propval_t | linebreak_search_eawidth (linebreak_t *obj, unichar_t c)
void | linebreak_update_lbclass (linebreak_t *obj, unichar_t c, propval_t p)
void | linebreak_update_eawidth (linebreak_t *obj, unichar_t c, propval_t p)
void | linebreak_merge_lbclass (linebreak_t *obj, linebreak_t *diff)
void | linebreak_merge_eawidth (linebreak_t *obj, linebreak_t *diff)
void | linebreak_clear_lbclass (linebreak_t *obj)
void | linebreak_clear_eawidth (linebreak_t *obj)

## Variables

const unsigned short | linebreak_prop_index []
const propval_t | linebreak_prop_array []

## Function Documentation

## linebreak_charprop()

void linebreak_charprop | ( | linebreak_t * | obj,
|  | unichar_t | c,
|  | propval_t * | lbcptr,
|  | propval_t * | eawptr,
|  | propval_t * | gcbptr,
|  | propval_t * | scrptr )

Search for character properties.

Note
  this function is for internal use.

Configuration parameters of linebreak object:

- map, mapsiz: custom property map overriding built-in map.

Parameters

  [in] | obj | linebreak object.
  [in] | c | Unicode character.
  [out] | lbcptr | UAX #14 line breaking class.
  [out] | eawptr | UAX #11 East_Asian_Width property value.
  [out] | gcbptr | UAX #29 Grapheme_Cluster_Break property value.
  [out] | scrptr | Script (limited to several scripts).

Returns
  none.

Note
  As of 2.2.0, LINEBREAK_OPTION_EASTASIAN_CONTEXT and LINEBREAK_OPTION_NONSTARTER_LOOSE are not affect.

## Variable Documentation

## linebreak_prop_array

const propval_t linebreak_prop_array[]

extern

## linebreak_prop_index

const unsigned short linebreak_prop_index[]

extern